package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxCouponSend;
import com.iformall.domain.vo.WxCouponSendVo;
import com.iformall.enums.EnumCouponSendSendType;

public interface WxCouponSendService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<WxCouponSendVo> listAsPage(WxCouponSend record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxCouponSend getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxCouponSend record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);

    /**
     *停车或核销给用户注入卡券
     * @param tenantId
     * @param cUserId
     * @param type 2：停车发券 3：核销发券
     */
    boolean sendCouponToUser(EnumCouponSendSendType type, Object param);

    void updateStatusByCouponId(Long couponId,String tenantId, int status);
    
	
	

	
	
	
	
}
